# Dimmer Switch Ruleset for Color Control

This ruleset is a configuration that can change
color and temperature for a group of lights.
This may be the case in the bedroom.

The on and off buttons work as expected.

Pressing the on button longer toggles color and temperature mode.

Pressing the brightness buttons change the brightness,
holding the brightness buttons change the color or temperature accordingly.


## Devices

```sh
# IDS="s/BASENAME/xxx/g; s/GROUP/xxx/g; s/DIMMER/xxx/g; s/MEMORY/xxx/g"
```

Install the memory sensor and note its ID before proceding.
Use the `mem.sensor.json` file, replace the `BASENAME`, and POST it to the /api/KEY/sensors URL.

* `BASENAME` Basename of the ruleset
* `GROUP` ID of the group to handle
* `DIMMER` ID of the dimmer switch
* `MEMORY` ID of the memory sensor
