# Dimmer Switch Ruleset for Two Light Groups

This ruleset assumes two light groups inside the same room.
This may be the case in the living room.

The on button first turns on one group and then the other.
So does the off button in reverse order.

The lights can be reset to a bright but confortable mood for the evening
when pressing the on button longer.

Pressing the brightness buttons change the brightness,
holding the brightness buttons change the color temperature.


## Devices

```sh
# IDS="s/BASENAME/xxx/g; s/GROUP1/xxx/g; s/GROUP2/xxx/g; s/DIMMER/xxx/g"
```

* `BASENAME` Basename of the ruleset
* `GROUP1` ID of the first group to handle
* `GROUP2` ID of the second group to handle
* `DIMMER` ID of the dimmer switch
