# Philips Hue Rules

Each folder contains a set of rules that can be used with Philips Hue.

## Usage

See the readme inside the folder.

## Installation

The IDs of the components should be replaced first.
Then the JSON files are submitted by POST to the bridge.

This can be done using the following snippet:

```sh
BRIDGE="192.168.0.150"
APIKEY="1234"
IDS="s/BASENAME/xxx/g; s/GROUP/xxx/g; s/MOTION/xxx/g; ..."

for f in *.rule.json; do cat "$f" | sed "$IDS" | curl "http://$BRIDGE/api/$APIKEY/rules" -H 'Content-Type: application/json' -d @-; done
```

